Main
Top Next

The origin of FirstCap was a "tiny program that allowed checking if the keyboard "Caps Lock" function was active; in that case, it warned the user with an acoustic signal". Now FirstCap has grown a bit. It has new features from suggestions by a lot of users that, I hope, can help other people in their work. If you find this product useful you must to thank all the people that sent me compliments and suggestion and that have encouraged me to carry on with the develop of this software. The program has grown in the size, but the original philosophy has remained, FirstCap needs only a very few system resources, and you can use it without fear a degradation of your system performances. :-)

General | Controls
General | capslock Caps Lock
Sounds List | Insert
language Language | Num Lock
interfac Graphic Interface | custom Custom Programs
donations Donations |
About |


Status area icon
Previous Top Next

The only visible sign of FirstCap's presence is the small icon in the Status Area status1 next to the System Clock. If you click on the FirstCap icon with the left mouse button you can quickly enable or disable FirstCap services.
You can view the current FirstCap state from this icon:

· status1 FirstCap enabled
· status3 FirstCap disabled

If you click on the FirstCap icon with the right mouse button, it will show the FirstCap system menu:

· Settings: This will show the FirstCap general configuration window
· Caps Lock settings: This will show the FirstCap Caps Lock configuration window
· Insert settings: This will show the FirstCap Insert configuration window
· Num Lock settings: This will show the FirstCap Num Lock configuration window
· Custom programs: This will show the FirstCap Custom Programs configuration window
· Close: This will close FirstCap
· Stop Debug mode: This item is showed only if the program is actually in Debug Mode. You can use it to stop the Debug mechanism and return to normal mode operations.


Information

FirstCap 3.2
for Windows 95/98/Me/NT4-sp3/2000/XP
Home Page: www.falsinsoft.cjb.net
E-Mail: falsinsoft@falsinsoft.cjb.net

FirstCap is FREEWARE, that means you pay nothing and I am not forced to give you support. I take no responsibility for any damages caused by this program; you use it at your risk. Obligatory registration is not needed, but I always appreciate an E-Mail with compliments, suggestions, annotations, critics, proposal of marriage, insults (not too big however!) and any other things that you can send by E-Mail! :-) You may freely use and distribute FirstCap, although it must be distributed with all original files in their original format with no changes. FirstCap may not be distributed as part of any commercial product without permission by the author.


General

· Show Splash Screen at program startup
Show FirstCap logo image at the start of the program, you can set the time of image permanence in the screen with the "Show the Splash Screen for XX seconds" control.
· Run FirstCap at Windows startup
Check this option if you want to automatically run FirstCap at Windows startup.
· Show informations tooltip
Enable/disable the tooltips that give a quick description of the program's functions.

genera1 Advanced Settings


Sounds List

Whit this function you can create any combination of PC Speaker sounds and connect its with the keyboard events (ex: pression of a key with Caps Lock on). The list conatin all the custom sounds availables. "Beep" is the standard sound, it can not be deleted, you can only modify the default settings (time and Frequency), when, for some reasons, the selected sound (PC Speaker or WAV file) can not be played, the program use the standard "Beep" sound to warn the users about the keyboard event occurred.

· Make new sound
Shows the window that allows the making of a new sound combination.
· Delete sound
Delete the current selected sound in the list.
· Edit sound
Show the window that allows editing the selected sound.
· Test sound
Play the sound combination connected with the current selection using the PC Speaker.

Whit the "Make sound" dialog you can create a combination of PC Speaker sounds. One sound is composed by two elements, the Time that is the length of the sound, and the Frequency. You can add, modify or remove any sound with the specific button. You can set also the pause between one sound to another. Any created sounds combination must to have a name (label) for marking it in the list. With the arrow buttons you can modify the order of every sounds and you can set if one sound must be played before another, the full combination is played in the order from top to botton.


Graphic Interface

I hoped to make a good interface, but if you want to change it or disable any kind of custom interface you can easily do it from this window. There are 6 types of custom background available, or "No custom background" to disable everything. FirstCap is divided in two different parts, the Main Window that is the full window where are all the controls, and the Panels that are the small windows where are the controls specific for every different setting. You can choose a different backgound for every of these two windows simply selecting that texture that you want and press the corresponding button.


Language

FirstCap has support for a multiple interface language mechanism. In the list there are the languages available for the interface. Simply select the language that you want and press the Apply new language button, and the writing in the windows will be immediately changed into the language chosen.
If you want to translate the interface into your language simply download the English base file from the FalsinSoft web page. You must translate the phrases reported in the file from english to your language and put the file in the FirstCap directory. If you have made the correct operation you will see your language shown in the list of languages available, select the line and set new language. Please, send me a copy of your language file, I'll put in the web page and it will be availble for all the other people that need it.


Donations

If my software helps you in every day work and you find it useful you may consider donating a small (or large :) amount to show your appreciation for all the effort I have put into developing it. This way you may keep the author happy and developing for years to come. Naturally this is completely volunteer gesture, all my software is totally freeware and you don't have to pay anything to use the application. Thank you for your consideration. :-)

Fabio Falsini

FalsinSoft Donations Page


About

Window reporting informations about the program, author, thanks, the registration forms and other stupid informations about the (mad or genius??) author of the program!! ;-) Yea!!


Caps Lock

Whis these controls you can customize all the events connected with Caps Lock key.

· Allow FirstCap to control the Caps Lock key
Check this option if you want that FirstCap to also monitor the Caps Lock key.
· Disable teh Caps Lock function completely
If you check this option the Caps Lock function will be disabled. This mean that any successive pressing on the Caps Lock key will not modify the Caps Lock status, which will remain always off.
· Restore controls on characters after XX seconds
This value represents the time after which the program will re-enable the control on the Caps Lock active key. The counter starts immediately after the last use of any key. For example: If we set this value at 3 seconds as we start typing, and if the Caps Lock key is active, the program will beep. if we then continue typing, the program assumes that we wish to continue in uppercase. In this event FirstCap will not beep again. However, the control will reactivate itself after 3 seconds (in our example) starting from the last key pressed.
Note: inactivity intervals are considered only when FirstCap "senses" the Caps Lock key has been activated. This means that continuing to type with the Caps Lock key not activated will be considered an inactivity period .(if you set this value to 0 you'll hear the advise for every key pressed in uppercase mode).
· Select sound for the advise
You can select between a simple PC Speaker beep (of selectable duration in Sound List panel) or a .wav file of your choice.
· Advanced features...
Whit this window you can set all the advanced events connected with Caps Lock. Click to the following link to have a detailed explanation of all managed events:

adv Advanced Features...


Insert

Whis these controls you can customize all the events connected with the Insert key.

· Allow FirstCap to control the Ins key function
Check this option if you want that FirstCap to also monitor the Insert key.
· Disable the Ins function completely
If you check this option the Insert function will be disabled. This mean that any successive pression in the Ins key will don't modify the Insert status. (Note: it isn't possible to determinate if the Ins state is off or on because this function isn't managed by Windows, but any application can decide to use this feature and manage the Ins status internally, this means that the Ins status can be on for one program and off for another).
· In added of the sound flash the icon in the status area
When Ins key is pressed the following small icons will be showed in alternative mode in status area. It's useful to have a visual advise about Ins pressions.

· Advise when Ins key is pressed
You can set a sound advise (selectable by "Select sound for the advise" button) to warn when the Ins key is pressed.


Num Lock

Whis these controls you can customize all the events connected with Num Lock key.

· Allow FirstCap to control the Num Lock key function
Check this option if you want that FirstCap to also monitor the Num Lock key.
· Disable the Num Lock function completely
If you check this option the Num Lock function will be disabled. This means that any successive pression in the Num Lock key will not modify the Num Lock status which will remain always off.
· Restore controls on characters after XX seconds
This value represents the time after which the program will re-enable the control on the Num Lock active key (if you set this value to 0 you'll hear the advise for every key pressed with Num Lock on). For more information about this feature see the explanation regarding the same feature in the Caps Lock section.
· Select sound for the advise
For the advise you can choose two different kind of solutions, play a .WAV file or generate with the PC Speaker one of the sounds combination present in the Sound List panel.

adv Advanced Features...


Custom programs
Previous Top

If you have some special program that need specific settings you can configure FirstCap to disable itself or set the Caps Lock and Num Lock in specific status when you select the window generated by this program.
Add the program name to the list and select it, now you can configure the specific settings for this program:

· Disable FirstCap for this program
FirstCap will automatically disable itself when the window created by selected program will be activated
· Caps Lock status on/off
Set Caps Lock 'on' or 'off' when the window created by selected program will be activated
· Num Lock status on/off
Set Num Lock 'on' or 'off' when the window created by selected program will be activated


Advanced features
Top

Caps Lock Function

· Enable/Disable the Caps Lock key by using the following key combination to toggle on or off
If you check this option you'll can dinamically enable/disable the CapsLock fucnction key by just pushing (at the same time) the buttons Ctrl + Alt + CapsLock. If disactivated all Caps Lock steams there won't be any results having the status unalterated. To ri-activate this kind of operating it is enough to repeat the same button pushing. A window will tell about the Caps Lock status. The selected status of Caps Lock (active/disactive) will be saved and it will be the same at every next executions of the program. A small window will confirm the new or changed status.
· Enable the Caps Lock at program startup
If this option is checked the Caps Lock status will be turned on at program startup..

Connection with Shift key

· If Shift key is pressed and released without a combination with another key capitalize the next letter insered
If you press and release the Shift key WITHOUT press any other key at the same time the next letter key will be written capitalized. This is useful for all the people who write very fast, and in some cases, when they want to write a capital letter, press and release the Shift key too fast compared to the pressing of the letter key to capitalize. This feature allow for resolution of the problem.
· Turn off the Caps Lock status if Shift key:
- Is pressed: if Caps Lock is 'on' and the Shift key is pressed the Caps Lock status will be automatically reset to off
- Is pressed in combination with a letter: with this option is possible to deactivate the Caps Lock status every time that will be pressed the Shift key in combination with a letter key (between A and Z).
· If Caps Lock is 'on' and Shift key is pressed in a combination with a letter ignore the Shift key pression and leave the capital letter:
When Caps Lock is active and you press the Shift key in combinazion with a letter, the letter insered is lower case. If this option is active the Shift key pression will be ignored and the letter insered will be always upper case.

Extra warnings

· Advise if Caps Lock is on only after XX characters pressed
FirstCap warn the user at the first letter insered with Caps Lock on. However if you want to be advised not at the first typing, but after a specific number of letter insered check this option and set the number of letter to wait before the advise.
· Advise when Caps Lock is pressed when a different sound when it change state
Warn the user with an acoustic signal every time Caps Lock key is pressed. Is possible to set two different sounds, one when Caps Lock is switched on and another different sound when Caps Lock is switched off
· Advise also if Caps Lock is off
If this option is checked FirstCap advise you also for every key pressed in lowercase mode. Select the acoustic sound connected with the "Select sound" button.

Connection with other keys

· Disable Caps Lock if Return key is pressed
If Caps Lock is 'on' and Return key is pressed the Caps Lock status will be switched to 'off.'
· Convert Caps Lock key in:
By choosing this option it is possible to associate to the Caps Lock key the same function of Tab/Shift/Ctrl/Num Lock/Esc button.(automatically the principal function will be disabled). For example if you select to convert Caps Lock in Tab key the pression of Caps Lock will have the same effect of Tab key pression.
· Allow the normal work of Caps Lock key only if Caps Lock is pressed in combination with: (Shift/Ctrl/Alt)
This option is similar to disable Caps Lock, if you press Caps Lock key only, nothing will happen. To change the Caps Lock status you have to press the Caps Lock key in combination with Shift, Ctrl or Alt (based to your choice), with this combination the Caps Lock status will be switched normally.
NOTE: it's possible to use this feature in combination with the precedent "Convert Caps Lock key in:". For example is possible to associate to the Caps Lock key the same function of Tab key with the result that if you press the Caps Lock key only, you'll have the Tab key function, but if you press Caps Lock in combination with Shift/Ctrl/Alt you'll have the original Caps Lock function and you'll be able to change Caps Lock status.

Caps Lock status indicators

· Show Caps Lock status icon indicator in status area
Show the following small icons in Windows status area indicating the actual Caps Lock status:
· Caps Lock 'off'
· Caps Lock 'on'
· Flash icons when Caps Lock is pressed
When Caps Lock status change the status icon will be switched from one state to another (flashing) for a short period of time.


Advanced features
Top

· Show Num Lock status icon indicator in status area
Show the following small icons in Windows status area indicating the actual Num Lock status:
· Num Lock 'off'
· Num Lock 'on'
· Flash icons when Num Lock is pressed
When Num Lock status change the status icon will be switched from one state to another (flashing) for a short period of time.
· Advise if Num Lock is pressed
Set a sound advise if Num Lock key is pressed.
· At program startup turn Num Lock (On/Off)
Force Num Lock status On or Off when the program start.
· Advise if Num Lock is 'on' only if one key of keyboard numeric keypad is pressed
If this option is active FirstCap will advise you if Num Lock is 'on' ONLY for the pression of one key of keyboard numeric keypad. It mean you'll not be advised about Num Lock status if you press any other key like a letter key. If you deselect this option you'll be advised if Num Lock is 'on' for any letter or numeric key pressed.
NOTE: this option is activated by default


Advanced Settings
Top

· Hide the program's icon in the status area
Don't show the FirstCap icon in the Windows status area.
· Don't show the program's icon in status area if Caps Lock or Num Lock icons status are activated
If the status icons of Caps Lock or Num Lock are showed in Windows status area the FirstCap status area main icon will be hide.
· Active debug mode
This special option active a particular state called "Debug mode". If this option is active all actions of the program will be written in a .log file called FirstCap.log. As you can imagine these operations cause a slakening of the system then the Debug mode is automatically disabled at the next start of the program or you can disable it with the corresponding item in the FirstCap menù (see Status Area Icon section). You must use this mode only if you have some problems with FirstCap. Contact the author to obtain instructions about how to use this feature.
· Obtain the special key status (CapsLock, NumLock, etc.) direct from Windows
This special option should be used only in case of FirstCap it isn't able to detect the CapsLock and NumLock status correctly. For example if you configure FirstCap to beep when CapsLock is 'on' and, after some time of use, FirstCap start to beep when CapsLock is 'off' and not 'on' you can try to resolve the problem with this feature. Check this option only if you have some problems like in example because the activation of this feature cause a small slackening in the program work.